| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CSTAApplicationEntry Struct Reference
CSTA Application

CSTA application entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | ApplicationName
| Application name. More...
xsd__string | ApplicationIPAddress
| The (unique) IP of the application in IPv4 format. More...
enum unsp__CSTAApplicationType | ApplicationType
| The type of the application. More...
xsd__boolean | Connected
| Indicates if the application is currently connected. More...
xsd__boolean * | SecureConnected
| Indicates if the application is connected securely. More...
xsd__unsignedInt | Monitors
| The number of active CSTA monitored devices. More...
xsd__unsignedInt | RouteRegistrations
| The number of active CSTA route registration devices. More...

## Detailed Description

CSTA application entry.

## Member Data Documentation

## ◆ ApplicationIPAddress

xsd__string unsp__CSTAApplicationEntry::ApplicationIPAddress

The (unique) IP of the application in IPv4 format.

default value[range]: NA [1..45]

## ◆ ApplicationName

xsd__string unsp__CSTAApplicationEntry::ApplicationName

Application name.

default value[range]: NA [1..64]

## ◆ ApplicationType

enum unsp__CSTAApplicationType unsp__CSTAApplicationEntry::ApplicationType

The type of the application.

## ◆ Connected

xsd__boolean unsp__CSTAApplicationEntry::Connected

Indicates if the application is currently connected.

This means that the application has established a CSTA over TCP or CSTA over HTTP/SOAP connection.

## ◆ Monitors

xsd__unsignedInt unsp__CSTAApplicationEntry::Monitors

The number of active CSTA monitored devices.

## ◆ RouteRegistrations

xsd__unsignedInt unsp__CSTAApplicationEntry::RouteRegistrations

The number of active CSTA route registration devices.

## ◆ SecureConnected

xsd__boolean* unsp__CSTAApplicationEntry::SecureConnected

Indicates if the application is connected securely.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h